function p=calc_logrank( dat, name1, type1, name2, type2, print_it )
%CALC_LOGRANK Summary of this function goes here
%   Detailed explanation goes here
    data1 = dat.(type1).(name1);
    data2 = dat.(type2).(name2);
    %
    legend1 = sprintf('%s - %s',name1, dat.(sprintf('%s_name',type1)).(name1));
    legend2 = sprintf('%s - %s',name2, dat.(sprintf('%s_name',type2)).(name2));
    %
    if print_it
        figure
        hold on
    end
    p = calc_logrank_dir( data1, data2, print_it );

    if nargout == 0
        fprintf('%s - %s : % .15f\n', legend1, legend2, p);
    end
    if print_it
        title('Logrank Kaplan Meyer table');
        h = legend();
        hinfo = get(h);
        if length(hinfo.String) == 3
            legend(legend1,'Censored',legend2);
        else
            legend(legend1,legend2);
        end
    end
end

