function [ x1, x2 ] = get_x1_x2( PI, risk_top_val, Times, d )
%GET_X1_X2 Summary of this function goes here
%   Detailed explanation goes here


    [PI_sorted,PI_idx] = sort(PI);
    risk_top_size = round(length(PI_sorted) .* risk_top_val );
    risk_low_idx  = PI_idx(1:risk_top_size);
    risk_high_idx = PI_idx( (length(PI_sorted)-risk_top_size + 1):end);
    %
    % setup log rank test data
    x1 = [Times(risk_low_idx),  d(risk_low_idx)];
    x2 = [Times(risk_high_idx), d(risk_high_idx)];
    %
    % data should be sorted by time
    [x1(:,1), x1_idx] = sort(x1(:,1));
    [x2(:,1), x2_idx] = sort(x2(:,1));
    %
    % sort censored data or not
    %  necessary to negate, as logrank function deals with censored
    %  and uncesored inversly as netcox
    x1(:,2) = 1-x1(x1_idx,2);
    x2(:,2) = 1-x2(x2_idx,2);

end

