# DegreeCox

A network-based regularization method for survival analysis.

This is the main repository for the source code of the experiments in DegreeCox

### Instructions on usage:

- download url indicated in data/download.txt and unzip the file
- in matlab directory run: r00 to r03
- in rproject directory run: r03
- in matlab directory run: r04 to r06
- in rproject directory run: r07 to r08

### Requirements

- Matlab R2012a with parallel computing toolbox
- R (with libraries: doMC, foreach, R.matlab, futile.logger, survival, ggfortify, plyr, gridExtra, verissimo)
- Up to 77GB of free space

note: verissimo library is not at any repository, to install follow instruction in r08_analysis.R

## Cite

This software is published with ``DegreeCox -- a network-based regularization method for survival analysis`` and is online at [http://bmcbioinformatics.biomedcentral.com/](BMC Bioinformatics).

To cite use the following reference:

<reference to add>

## Acknowledgements

This work was partially supported by the European Union's Horizon 2020 research and innovation program under grant agreement No. 633974 (SOUND project), and FCT, through IDMEC, under LAETA, projects UID/EMS/50022/2013 and PERSEIDS (PTDC/EMS-SIS/0642/2014). Susana Vinga acknowledges support by Program Investigador FCT (IF/00653/2012) from FCT, co-funded by the European Social Fund (ESF) through the Operational Program Human Potential (POPH).
